<template>
  <div class="mb-3">
    <b-card-title class="text-black mb-4">{{ $t('Autoship.Section.SelectSize') }}</b-card-title>
    <div>
      <b-col class="eshop px-0">
        <size-selection ref="sizeSelection" :is-evoucher-option-available="false" />
      </b-col>
    </div>
  </div>
</template>

<script>
import SizeSelection from '@/app/_global/components/blocks/SizeSelection'
import { mapGetters } from 'vuex'
export default {
  name: 'SelectSize',
  components: { SizeSelection },
  computed: {
    ...mapGetters('eshop', ['getCartNeedSizeSelection']),
  },
  methods: {
    validateAndSubmit() {
      let self = this
      return Promise.resolve(this.$refs.sizeSelection.validate()).then(result => {
        if (!result) {
          self.logError({ cartError: this.$t('Eshop.SizeSelection.PleaseSelect') })
        }
        return result
      })
    },
  },
}
</script>

<style scoped></style>
